#include "mainwindow.h"
#include "ui_mainwindow.h"

MainWindow::MainWindow(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::MainWindow)
{
    ui->setupUi(this);

    scene.setSceneRect(QRectF(-100, -100, 400, 400));
    ui->graphicsView->setScene(&scene);
    scene.addItem(new PolygonItem);

    ui->graphicsView->setRenderHints(QPainter::Antialiasing);   // 
}

MainWindow::~MainWindow()
{
    delete ui;
}



void MainWindow::on_pushButton_addPolygonItem_clicked()
{
    scene.addItem(new PolygonItem);
}
