#ifndef POLYGONITEM_H
#define POLYGONITEM_H

#include <QtGui>

class PolygonItem : public QGraphicsPolygonItem
{
public:
    PolygonItem();
protected:

    //
    QPointF p1;
    QPointF p2;
    QPointF p3;
    QPointF p4;
    void restructPolygon();      //  

    int pointToMove;    // ,  

    bool isitTopRound; //   ?   - 1,   - 0

    void findRotationCenter();      // ,    
    void rotateItem( const QPointF& rotationP, const QPointF& mouseP );     //
    void acceptRotation();      //      

    QPointF lastMousePos;      //  

    //  ,      
    // ,  :  -   ,
    //                              (  ) -  ,
    //                              -    
    bool isMouseAroundPoint ( const QPointF& hoverEnterPoint, const QPointF& center );


    //     
    void mousePressEvent ( QGraphicsSceneMouseEvent * event );
    void mouseMoveEvent ( QGraphicsSceneMouseEvent * event );
    void mouseReleaseEvent ( QGraphicsSceneMouseEvent * event );

    //  ,      
    void hoverEnterEvent ( QGraphicsSceneHoverEvent * event );
    void hoverMoveEvent ( QGraphicsSceneHoverEvent * event );
    void hoverLeaveEvent ( QGraphicsSceneHoverEvent * event );
};

#endif // POLYGONITEM_H
